# CalculationSource

class `propertyestimator.properties.``CalculationSource`(fidelity=None, provenance=None)

  Contains any metadata about how a physical property was calculated.

  This includes at which fidelity the property was calculated at (e.g Direct simulation, reweighting, …) in addition to the parameters which were used as part of the calculations.

  `fidelity`

    The fidelity at which the property was calculated

    Type

      str

  `provenance`

    A dictionary containing information about how the property was calculated.

    Type

      dict of str and Any

  `__init__`(fidelity=None, provenance=None)

    Constructs a new CalculationSource object.

    Parameters

      - fidelity (str) – The fidelity at which the property was calculated

      - provenance (dict of str and Any) – A dictionary containing information about how the property was calculated.

  Methods

  `__init__`([fidelity, provenance]) | Constructs a new CalculationSource object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any